To delete a User please make a DELETE request to the following URL:
HTTP Method URL DELETE https://industrial.api.ubidots.com/api/v2.0/users/<user_key>
Parameter Type Description user\_key String The ID or username of the User, username should use the prefix ~
Parameter Type Use Description token String Authentication Authorization Token can optionally be sent as a query parameter.
cURL (Request) 204 No Content 400 Bad Request 401 Unauthorized
$ curl -X DELETE 'https://industrial.api.ubidots.com/api/v2.0/users/63d3f1247fefea000cd325af' \
-H 'Content-Type: application/json' \{
"code": 400001,
"message": "Validation Error.",
"detail": {
....
}
}{
"code": 401001,
"message": "Authentication credentials were not provided.",
"detail": "Authentication credentials were not provided."
}
If the User was deleted successfully, returns status code 204.